TermPredicate Class Referenceabstract

`#include <TermPredicate.h>`

Inheritance diagram for TermPredicate:

## Public Member Functions

| TermPredicate (size_t varCount=0)
virtual | ~TermPredicate ()
bool | operator() (const Term &a, const Term &b) const
bool | operator() (const Term &a, const Exponent *b) const
bool | operator() (const Exponent *a, const Term &b) const
bool | operator() (const Exponent *a, const Exponent *b) const
size_t | getVarCount () const
void | setVarCount (size_t varCount)

## Private Member Functions

virtual bool | doPredicate (const Exponent *a, const Exponent *b) const =0

## Private Attributes

size_t | _varCount

## Detailed Description

Definition at line 24 of file TermPredicate.h.

## Constructor & Destructor Documentation

## TermPredicate()

TermPredicate::TermPredicate | ( | size_t | varCount = 0 | ) |

Definition at line 24 of file TermPredicate.cpp.

## ~TermPredicate()

TermPredicate::~TermPredicate | ( |  | ) |

virtual

Definition at line 28 of file TermPredicate.cpp.

## Member Function Documentation

## doPredicate()

virtual bool TermPredicate::doPredicate | ( | const Exponent * | a,
|  | const Exponent * | b ) const

private pure virtual

Implemented in EqualsPredicate, LexComparator, ReverseLexComparator, ReverseSingleDegreeComparator, and SingleDegreeComparator.

## getVarCount()

size_t TermPredicate::getVarCount | ( |  | ) | const

inline

Definition at line 53 of file TermPredicate.h.

## operator()() [1/4]

bool TermPredicate::operator() | ( | const Exponent * | a,
|  | const Exponent * | b ) const

inline

Definition at line 47 of file TermPredicate.h.

## operator()() [2/4]

bool TermPredicate::operator() | ( | const Exponent * | a,
|  | const Term & | b ) const

inline

Definition at line 41 of file TermPredicate.h.

## operator()() [3/4]

bool TermPredicate::operator() | ( | const Term & | a,
|  | const Exponent * | b ) const

inline

Definition at line 35 of file TermPredicate.h.

## operator()() [4/4]

bool TermPredicate::operator() | ( | const Term & | a,
|  | const Term & | b ) const

inline

Definition at line 29 of file TermPredicate.h.

## setVarCount()

void TermPredicate::setVarCount | ( | size_t | varCount | ) |

inline

Definition at line 54 of file TermPredicate.h.

## Member Data Documentation

## _varCount

size_t TermPredicate::_varCount

private

Definition at line 59 of file TermPredicate.h.

The documentation for this class was generated from the following files:

- src/TermPredicate.h
- src/TermPredicate.cpp